Uses of Package
com.eqixiac.equinix.iam.model
Packages that use com.eqixiac.equinix.iam.model
Package
Description
IAM client interfaces for the Equinix Java SDK.
-
Classes in com.eqixiac.equinix.iam.model used by com.eqixiac.equinix.iam.clientClassDescriptionA project-scoped IAM access policy - a set of permissions that may be granted to principals, groups or other projects.A grant associating a grantee (a principal, group or project) with an IAM access policy, as returned by the grant operations (
GET .../accessPolicies/{accessPolicyId}/grants, operationIdlistGrants;POST .../grants, operationIdaddGrant).The effective (resolved) permissions for a principal within a project and service, as returned by the IAM effective-permissions operation.A named, reusable set of permissions within a project, as returned by the IAM permission set operations (listPermissionSets,createPermissionSet,getPermissionSet,updatePermissionSet).A policy mask that constrains the managed policies and permission sets available to a principal, as returned by the IAM policy-mask operations.An access policy attached directly to a principal (user), as returned by the IAM principal-policy operations.An assignment of aRoleto a principal within a scope, as returned by the IAM role assignment operations (GET /v1/roleAssignments, operationIdlistRoleAssignments;POST /v1/roleAssignments, operationIdcreateRoleAssignment;GET /v1/roleAssignments/{roleAssignmentId}, operationIdgetRoleAssignment).The policy schema for a service, describing the structure of policies the service accepts, as returned by the IAM service-policy-schema operation. -
Classes in com.eqixiac.equinix.iam.model used by com.eqixiac.equinix.iam.client.implementationClassDescriptionA project-scoped IAM access policy - a set of permissions that may be granted to principals, groups or other projects.A grant associating a grantee (a principal, group or project) with an IAM access policy, as returned by the grant operations (
GET .../accessPolicies/{accessPolicyId}/grants, operationIdlistGrants;POST .../grants, operationIdaddGrant).The effective (resolved) permissions for a principal within a project and service, as returned by the IAM effective-permissions operation.A named, reusable set of permissions within a project, as returned by the IAM permission set operations (listPermissionSets,createPermissionSet,getPermissionSet,updatePermissionSet).A policy mask that constrains the managed policies and permission sets available to a principal, as returned by the IAM policy-mask operations.An access policy attached directly to a principal (user), as returned by the IAM principal-policy operations.An assignment of aRoleto a principal within a scope, as returned by the IAM role assignment operations (GET /v1/roleAssignments, operationIdlistRoleAssignments;POST /v1/roleAssignments, operationIdcreateRoleAssignment;GET /v1/roleAssignments/{roleAssignmentId}, operationIdgetRoleAssignment).The policy schema for a service, describing the structure of policies the service accepts, as returned by the IAM service-policy-schema operation. -
Classes in com.eqixiac.equinix.iam.model used by com.eqixiac.equinix.iam.client.internalClassDescriptionA project-scoped IAM access policy - a set of permissions that may be granted to principals, groups or other projects.A grant associating a grantee (a principal, group or project) with an IAM access policy, as returned by the grant operations (
GET .../accessPolicies/{accessPolicyId}/grants, operationIdlistGrants;POST .../grants, operationIdaddGrant).The effective (resolved) permissions for a principal within a project and service, as returned by the IAM effective-permissions operation.A named, reusable set of permissions within a project, as returned by the IAM permission set operations (listPermissionSets,createPermissionSet,getPermissionSet,updatePermissionSet).A policy mask that constrains the managed policies and permission sets available to a principal, as returned by the IAM policy-mask operations.An access policy attached directly to a principal (user), as returned by the IAM principal-policy operations.An assignment of aRoleto a principal within a scope, as returned by the IAM role assignment operations (GET /v1/roleAssignments, operationIdlistRoleAssignments;POST /v1/roleAssignments, operationIdcreateRoleAssignment;GET /v1/roleAssignments/{roleAssignmentId}, operationIdgetRoleAssignment).The policy schema for a service, describing the structure of policies the service accepts, as returned by the IAM service-policy-schema operation. -
Classes in com.eqixiac.equinix.iam.model used by com.eqixiac.equinix.iam.client.internal.implementationClassDescriptionA project-scoped IAM access policy - a set of permissions that may be granted to principals, groups or other projects.A grant associating a grantee (a principal, group or project) with an IAM access policy, as returned by the grant operations (
GET .../accessPolicies/{accessPolicyId}/grants, operationIdlistGrants;POST .../grants, operationIdaddGrant).The effective (resolved) permissions for a principal within a project and service, as returned by the IAM effective-permissions operation.A named, reusable set of permissions within a project, as returned by the IAM permission set operations (listPermissionSets,createPermissionSet,getPermissionSet,updatePermissionSet).A policy mask that constrains the managed policies and permission sets available to a principal, as returned by the IAM policy-mask operations.An access policy attached directly to a principal (user), as returned by the IAM principal-policy operations.An assignment of aRoleto a principal within a scope, as returned by the IAM role assignment operations (GET /v1/roleAssignments, operationIdlistRoleAssignments;POST /v1/roleAssignments, operationIdcreateRoleAssignment;GET /v1/roleAssignments/{roleAssignmentId}, operationIdgetRoleAssignment).The policy schema for a service, describing the structure of policies the service accepts, as returned by the IAM service-policy-schema operation. -
Classes in com.eqixiac.equinix.iam.model used by com.eqixiac.equinix.iam.modelClassDescriptionAn attribute included on a resource type or action, as returned by the IAM resource-type and list-actions operations.A single effective-permission entry: the caller may perform any of the
EffectivePermissions.Permission.getActions()on the referenced resources (or any except those referenced), optionally gated by a CedarEffectivePermissions.Permission.getCondition()expression.AnanyOfselector that is either an inclusion set (the listed values) or an exclusion set ({except: [...]}).The action mapping to access-management permissions, used when performing authorization via role-assignment token scope (spec schemaRBACPermission).A lossless, typed wrapper for the polymorphiconeOfunion members used throughout the IAM access-control schemas - thepermissions/intersect/subtractentries of anAccessPolicy,PermissionSetandPrincipalPolicy, and themanagedPolicies/managedPermissionSets/subtractfields of aPolicyMask. -
Classes in com.eqixiac.equinix.iam.model used by com.eqixiac.equinix.iam.model.jsonClassDescriptionA project-scoped IAM access policy - a set of permissions that may be granted to principals, groups or other projects.A grant associating a grantee (a principal, group or project) with an IAM access policy, as returned by the grant operations (
GET .../accessPolicies/{accessPolicyId}/grants, operationIdlistGrants;POST .../grants, operationIdaddGrant).An attribute included on a resource type or action, as returned by the IAM resource-type and list-actions operations.The effective (resolved) permissions for a principal within a project and service, as returned by the IAM effective-permissions operation.A single effective-permission entry: the caller may perform any of theEffectivePermissions.Permission.getActions()on the referenced resources (or any except those referenced), optionally gated by a CedarEffectivePermissions.Permission.getCondition()expression.AnanyOfselector that is either an inclusion set (the listed values) or an exclusion set ({except: [...]}).An action available within a service, as returned by the IAM list-actions operation.The action mapping to access-management permissions, used when performing authorization via role-assignment token scope (spec schemaRBACPermission).A named, reusable set of permissions within a project, as returned by the IAM permission set operations (listPermissionSets,createPermissionSet,getPermissionSet,updatePermissionSet).A policy mask that constrains the managed policies and permission sets available to a principal, as returned by the IAM policy-mask operations.An access policy attached directly to a principal (user), as returned by the IAM principal-policy operations.A registered resource type within the IAM access model, as returned by the IAM resource-type operations.The association between an action and a resource type, as returned by the IAM resource-type-action operations.A named set of role actions that can be granted to a principal, as returned by the IAM roles catalog (GET /v1/roles, operationIdlistRoles; andGET /v1/projects/{projectId}/roles, operationIdlistRolesByProjectId).An assignment of aRoleto a principal within a scope, as returned by the IAM role assignment operations (GET /v1/roleAssignments, operationIdlistRoleAssignments;POST /v1/roleAssignments, operationIdcreateRoleAssignment;GET /v1/roleAssignments/{roleAssignmentId}, operationIdgetRoleAssignment).A named set of actions grouped within a service, as returned by the IAM service-action-set operations.The policy schema for a service, describing the structure of policies the service accepts, as returned by the IAM service-policy-schema operation. -
Classes in com.eqixiac.equinix.iam.model used by com.eqixiac.equinix.iam.model.json.creatorsClassDescriptionA lossless, typed wrapper for the polymorphic
oneOfunion members used throughout the IAM access-control schemas - thepermissions/intersect/subtractentries of anAccessPolicy,PermissionSetandPrincipalPolicy, and themanagedPolicies/managedPermissionSets/subtractfields of aPolicyMask.